Image Details

Summary
Image Reference registry.stroops.io/uselog/api:0.0.1
Digest sha256:203ba83af56d60e10541dea50af1e719c7c4ea2d91a7b38e24037496e9692034
Media Type application/vnd.docker.distribution.manifest.v2+json
Image ID f93b623875b7
Image Size 203.7 MB
Platform linux/amd64
Created On 2024-11-22 10:19:26 UTC
Manifest
config
digest sha256:f93b623875b7a4fdb9a90da9092c4313523cb0c2cf2a1fa4b1204a05c2bfc01a
mediaType application/vnd.docker.container.image.v1+json
size 5 KB
layers
digest sha256:13c6d1737b3fa24b23e04ededc4bee27b6ef0b8d6484f424e82e43bd4973411d
mediaType application/vnd.docker.image.rootfs.diff.tar.gzip
size 96.2 MB
digest sha256:26ff4bdb5c3a67b8b998aed7a2a26ea8b85963e82b6466f71edc90b7969e56ab
mediaType application/vnd.docker.image.rootfs.diff.tar.gzip
size 107.1 MB
digest sha256:221180c2708bb8a46deac5dd3cb41728d3dc0f4cd7b4dc0dd386c1692fdd37c1
mediaType application/vnd.docker.image.rootfs.diff.tar.gzip
size 55 KB
digest sha256:43f67d792b80e740dcd15606e9586ab50997e1ee68d550ec2729bfec3e0c649b
mediaType application/vnd.docker.image.rootfs.diff.tar.gzip
size 294 KB
digest sha256:44c80dfb256f42c61c65eed87963126485a192b79d779170903b898d205b020f
mediaType application/vnd.docker.image.rootfs.diff.tar.gzip
size 3 KB
digest sha256:832019b92bb366918d65a9d839d9e2c65f821c20ed2a1c33efbaecce6a8fc7ac
mediaType application/vnd.docker.image.rootfs.diff.tar.gzip
size 347 B
mediaType application/vnd.docker.distribution.manifest.v2+json
schemaVersion 2
Config File
architecture amd64
config
Entrypoint
/bin/sh
-c
/entrypoint.sh
Env
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
LANGUAGE=en_US:en
JAVA_HOME=/usr/lib/jvm/liberica21-crac
SPRING_OUTPUT_ANSI_ENABLED=ALWAYS
APP_SLEEP=0
LANG=en_US.UTF-8
ExposedPorts
8090/tcp
Labels
maintainer [email protected]
org.opencontainers.image.authors BellSoft <[email protected]>
org.opencontainers.image.description Alpaquita Stream Musl based image with Liberica JDK 21, with CRaC, with CDS archives, with APK tools removed.
User 1000
created 2024-11-22T10:19:26.439848Z
history
created 2024-06-25T15:12:15.792816599Z
created_by /bin/sh -c #(nop) ARG JAVA_RELEASE
empty_layer true
created 2024-06-25T15:12:15.792840735Z
created_by /bin/sh -c #(nop) ARG BUNDLE_TYPE JAVA_RELEASE
empty_layer true
created 2024-06-25T15:12:15.792861828Z
created_by /bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE
empty_layer true
created 2024-06-25T15:12:15.792883036Z
created_by /bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE REMOVE_APK_TOOLS
empty_layer true
created 2024-06-25T15:12:15.792910482Z
created_by /bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS
empty_layer true
created 2024-06-25T15:12:15.792947122Z
created_by /bin/sh -c #(nop) ARG BUNDLE_TYPE CDS DESCRIPTION JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS
empty_layer true
created 2024-06-25T15:12:15.792980665Z
created_by /bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"
empty_layer true
created 2024-06-25T15:12:15.79301908Z
created_by /bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"
empty_layer true
created 2024-06-25T15:12:15.793059329Z
created_by /bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"
empty_layer true
created 2024-06-25T15:12:15.793125301Z
created_by /bin/sh -c #(nop) ENV LANG=en_US.UTF-8 LANGUAGE=en_US:en
empty_layer true
created 2024-06-25T15:12:15.793167359Z
created_by /bin/sh -c #(nop) ENV JAVA_HOME="/usr/lib/jvm/liberica${JAVA_RELEASE}-crac"
empty_layer true
comment FROM docker.io/bellsoft/alpaquita-linux-base:stream-musl-240625
created 2024-06-25T15:12:39.110369678Z
created_by |24 BUNDLE_TYPE=jdk CDS=yes DESCRIPTION=Alpaquita Stream Musl based image with Liberica JDK 21, with CRaC, with CDS archives, with APK tools removed. JAVA_RELEASE=21 MAINTAINER=BellSoft <[email protected]> REMOVE_APK_TOOLS=yes /bin/sh -c set -e; command set -o pipefail; case "$JAVA_RELEASE" in 17|21) ;; *) echo -n "Invalid JAVA_RELEASE: '${JAVA_RELEASE}'. "; echo "Only '17' and '21' are supported."; exit 1; ;; esac; case "$BUNDLE_TYPE" in jre|jdk) ;; *) echo -n "Invalid BUNDLE_TYPE: '${BUNDLE_TYPE}'. "; echo "Only 'jre' and 'jdk' are supported."; exit 1; ;; esac; case "$CDS" in yes|no) ;; *) echo "Invalid CDS: '${CDS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; case "$REMOVE_APK_TOOLS" in yes|no) ;; *) echo "Invalid REMOVE_APK_TOOLS: '${REMOVE_APK_TOOLS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; apk add --no-cache "liberica${JAVA_RELEASE}-crac-${BUNDLE_TYPE}-no-deps"; if [ "$CDS" = "yes" ]; then apk add --no-cache "liberica${JAVA_RELEASE}-crac-jre-cds"; fi; if [ "$REMOVE_APK_TOOLS" = "yes" ]; then apk del --no-cache apk-tools; fi
author Jib
comment dependencies
created 2024-11-22T10:19:26.439848Z
created_by jib-maven-plugin:3.4.4
author Jib
comment resources
created 2024-11-22T10:19:26.439848Z
created_by jib-maven-plugin:3.4.4
author Jib
comment classes
created 2024-11-22T10:19:26.439848Z
created_by jib-maven-plugin:3.4.4
author Jib
comment jvm arg files
created 2024-11-22T10:19:26.439848Z
created_by jib-maven-plugin:3.4.4
author Jib
comment extra files
created 2024-11-22T10:19:26.439848Z
created_by jib-maven-plugin:3.4.4
os linux
rootfs
diff_ids
sha256:8fa19c9ad93d7079b7ebf202cebc875c830a400149b64381d4f7f70a326a193f
sha256:8ca2bdf62f4e6e50ccdfc4d0c5c3e47923c296a144744bf5ab475767739682b2
sha256:f4cb3d7bb5cb4b45a4a5f9e106c08d099a54574d8a64a45a12cf5a07d53a970a
sha256:29ed6f12418532e090f626f852d9810ddb7f92a9cc252550b5853aec47a4355e
sha256:9aa2f559dce7daed41cdf647678738669957145c8a7623730f727723fe8fd949
sha256:47528470c87b8afa1d1d037806e185d83b9868f603ce07e1d08ab55ffb58b9dc
type layers